Index: board_enable.c
===================================================================
--- board_enable.c	(revision 1288)
+++ board_enable.c	(working copy)
@@ -2013,52 +2156,52 @@
  * Require main PCI IDs to match too as extra safety.
  */
 static const struct board_pciid_enable *board_match_coreboot_name(const char *vendor,
-							    const char *part)
+                                                            const char *part)
 {
-	const struct board_pciid_enable *board = board_pciid_enables;
-	const struct board_pciid_enable *partmatch = NULL;
+        const struct board_pciid_enable *board = board_pciid_enables;
+        const struct board_pciid_enable *partmatch = NULL;
 
-	for (; board->vendor_name; board++) {
-		if (vendor && (!board->lb_vendor
-			       || strcasecmp(board->lb_vendor, vendor)))
-			continue;
+        for (; board->vendor_name; board++) {
+                if (vendor && (!board->lb_vendor
+                               || strcasecmp(board->lb_vendor, vendor)))
+                        continue;
 
-		if (!board->lb_part || strcasecmp(board->lb_part, part))
-			continue;
+                if (!board->lb_part || strcasecmp(board->lb_part, part))
+                        continue;
 
-		if (!pci_dev_find(board->first_vendor, board->first_device))
-			continue;
+                if (!pci_dev_find(board->first_vendor, board->first_device))
+                        continue;
 
-		if (board->second_vendor &&
-		    !pci_dev_find(board->second_vendor, board->second_device))
-			continue;
+                if (board->second_vendor &&
+                    !pci_dev_find(board->second_vendor, board->second_device))
+                        continue;
 
-		if (vendor)
-			return board;
+                if (vendor)
+                        return board;
 
-		if (partmatch) {
-			/* a second entry has a matching part name */
-			msg_pinfo("AMBIGUOUS BOARD NAME: %s\n", part);
-			msg_pinfo("At least vendors '%s' and '%s' match.\n",
-			       partmatch->lb_vendor, board->lb_vendor);
-			msg_perr("Please use the full -m vendor:part syntax.\n");
-			return NULL;
-		}
-		partmatch = board;
-	}
+                if (partmatch) {
+                        /* a second entry has a matching part name */
+                        msg_pinfo("AMBIGUOUS BOARD NAME: %s\n", part);
+                        msg_pinfo("At least vendors '%s' and '%s' match.\n",
+                               partmatch->lb_vendor, board->lb_vendor);
+                        msg_perr("Please use the full -m vendor:part syntax.\n");
+                        return NULL;
+                }
+                partmatch = board;
+        }
 
-	if (partmatch)
-		return partmatch;
+        if (partmatch)
+                return partmatch;
 
-	if (!partvendor_from_cbtable) {
-		/* Only warn if the mainboard type was not gathered from the
-		 * coreboot table. If it was, the coreboot implementor is
-		 * expected to fix flashrom, too.
-		 */
-		msg_perr("\nUnknown vendor:board from -m option: %s:%s\n\n",
-		       vendor, part);
-	}
-	return NULL;
+        if (!partvendor_from_cbtable) {
+                /* Only warn if the mainboard type was not gathered from the
+                 * coreboot table. If it was, the coreboot implementor is
+                 * expected to fix flashrom, too.
+                 */
+                msg_perr("\nUnknown vendor:board from -m option: %s:%s\n\n",
+                       vendor, part);
+        }
+        return NULL;
 }
 
 /*
@@ -2067,95 +2210,95 @@
  */
 const static struct board_pciid_enable *board_match_pci_card_ids(void)
 {
-	const struct board_pciid_enable *board = board_pciid_enables;
+        const struct board_pciid_enable *board = board_pciid_enables;
 
-	for (; board->vendor_name; board++) {
-		if ((!board->first_card_vendor || !board->first_card_device) &&
-		      !board->dmi_pattern)
-			continue;
+        for (; board->vendor_name; board++) {
+                if ((!board->first_card_vendor || !board->first_card_device) &&
+                      !board->dmi_pattern)
+                        continue;
 
-		if (!pci_card_find(board->first_vendor, board->first_device,
-				   board->first_card_vendor,
-				   board->first_card_device))
-			continue;
+                if (!pci_card_find(board->first_vendor, board->first_device,
+                                   board->first_card_vendor,
+                                   board->first_card_device))
+                        continue;
 
-		if (board->second_vendor) {
-			if (board->second_card_vendor) {
-				if (!pci_card_find(board->second_vendor,
-						   board->second_device,
-						   board->second_card_vendor,
-						   board->second_card_device))
-					continue;
-			} else {
-				if (!pci_dev_find(board->second_vendor,
-						  board->second_device))
-					continue;
-			}
-		}
+                if (board->second_vendor) {
+                        if (board->second_card_vendor) {
+                                if (!pci_card_find(board->second_vendor,
+                                                   board->second_device,
+                                                   board->second_card_vendor,
+                                                   board->second_card_device))
+                                        continue;
+                        } else {
+                                if (!pci_dev_find(board->second_vendor,
+                                                  board->second_device))
+                                        continue;
+                        }
+                }
 
-		if (board->dmi_pattern) {
-			if (!has_dmi_support) {
-				msg_perr("WARNING: Can't autodetect %s %s,"
-				       " DMI info unavailable.\n",
-				       board->vendor_name, board->board_name);
-				continue;
-			} else {
-				if (!dmi_match(board->dmi_pattern))
-					continue;
-			}
-		}
+                if (board->dmi_pattern) {
+                        if (!has_dmi_support) {
+                                msg_perr("WARNING: Can't autodetect %s %s,"
+                                       " DMI info unavailable.\n",
+                                       board->vendor_name, board->board_name);
+                                continue;
+                        } else {
+                                if (!dmi_match(board->dmi_pattern))
+                                        continue;
+                        }
+                }
 
-		return board;
-	}
+                return board;
+        }
 
-	return NULL;
+        return NULL;
 }
 
 int board_flash_enable(const char *vendor, const char *part)
 {
-	const struct board_pciid_enable *board = NULL;
-	int ret = 0;
+        const struct board_pciid_enable *board = NULL;
+        int ret = 0;
 
-	if (part)
-		board = board_match_coreboot_name(vendor, part);
+        if (part)
+                board = board_match_coreboot_name(vendor, part);
 
-	if (!board)
-		board = board_match_pci_card_ids();
+        if (!board)
+                board = board_match_pci_card_ids();
 
-	if (board && board->status == NT) {
-		if (!force_boardenable) {
-			msg_pinfo("WARNING: Your mainboard is %s %s, but the mainboard-specific\n"
-			       "code has not been tested, and thus will not not be executed by default.\n"
-			       "Depending on your hardware environment, erasing, writing or even probing\n"
-			       "can fail without running the board specific code.\n\n"
-			       "Please see the man page (section PROGRAMMER SPECIFIC INFO, subsection\n"
-			       "\"internal programmer\") for details.\n",
-			       board->vendor_name, board->board_name);
-		board = NULL;
-		} else {
-		        msg_pinfo("NOTE: Running an untested board enable procedure.\n"
-		               "Please report success/failure to flashrom@flashrom.org\n"
-		               "with your board name and SUCCESS or FAILURE in the subject.\n");
-		}
+        if (board && board->status == NT) {
+                if (!force_boardenable) {
+                        msg_pinfo("WARNING: Your mainboard is %s %s, but the mainboard-specific\n"
+                               "code has not been tested, and thus will not not be executed by default.\n"
+                               "Depending on your hardware environment, erasing, writing or even probing\n"
+                               "can fail without running the board specific code.\n\n"
+                               "Please see the man page (section PROGRAMMER SPECIFIC INFO, subsection\n"
+                               "\"internal programmer\") for details.\n",
+                               board->vendor_name, board->board_name);
+                board = NULL;
+                } else {
+                        msg_pinfo("NOTE: Running an untested board enable procedure.\n"
+                               "Please report success/failure to flashrom@flashrom.org\n"
+                               "with your board name and SUCCESS or FAILURE in the subject.\n");
+                }
         }
 
-	if (board) {
-		if (board->max_rom_decode_parallel)
-			max_rom_decode.parallel =
-				board->max_rom_decode_parallel * 1024;
+        if (board) {
+                if (board->max_rom_decode_parallel)
+                        max_rom_decode.parallel =
+                                board->max_rom_decode_parallel * 1024;
 
-		if (board->enable != NULL) {
-			msg_pinfo("Disabling flash write protection for "
-				  "board \"%s %s\"... ", board->vendor_name,
-				  board->board_name);
+                if (board->enable != NULL) {
+                        msg_pinfo("Disabling flash write protection for "
+                                  "board \"%s %s\"... ", board->vendor_name,
+                                  board->board_name);
 
-			ret = board->enable();
-			if (ret)
-				msg_pinfo("FAILED!\n");
-			else
-				msg_pinfo("OK.\n");
-		}
-	}
+                        ret = board->enable();
+                        if (ret)
+                                msg_pinfo("FAILED!\n");
+                        else
+                                msg_pinfo("OK.\n");
+                }
+        }
 
-	return ret;
+        return ret;
 }
